package org.apache.commons.lang3.function;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import java.util.Objects;

public interface FailableIntUnaryOperator<E extends Throwable> {
  public static final org.apache.commons.lang3.function.FailableIntUnaryOperator NOP = t -> 0;
  
  static <E extends Throwable> org.apache.commons.lang3.function.FailableIntUnaryOperator<E> identity() {
    return t -> t;
  }
  
  static <E extends Throwable> org.apache.commons.lang3.function.FailableIntUnaryOperator<E> nop() {
    return NOP;
  }
  
  default org.apache.commons.lang3.function.FailableIntUnaryOperator<E> andThen(org.apache.commons.lang3.function.FailableIntUnaryOperator<E> after) {
    Objects.requireNonNull(after);
    return t -> after.applyAsInt(applyAsInt(t));
  }
  
  default org.apache.commons.lang3.function.FailableIntUnaryOperator<E> compose(org.apache.commons.lang3.function.FailableIntUnaryOperator<E> before) {
    Objects.requireNonNull(before);
    return v -> applyAsInt(before.applyAsInt(v));
  }
  
  int applyAsInt(int paramInt) throws E;
}
